/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */


console.log("add event");

document.addEventListener("DOMContentLoaded", draw, false); // appel au chargement de la page
 

/**
 * Dessine avec l'API canvas
 * @return {[type]} [description]
 */
function draw()
{

	var oCanvas = document.getElementById("nameCanvas");  
	var oContexte = oCanvas.getContext("2d");// récupère le contexte de l'objet "dessin"  
	
	// création de plusieurs formes avec un effet de transparence
	oContexte.fillStyle = "#FA58F4";
	oContexte.fillRect(20, 20, 175, 50);// création de rectangle

	oContexte.globalAlpha = 0.3;// ajoute de la transparence

	oContexte.fillStyle = "#0B0B61"; 
	oContexte.fillRect(140, 50, 175, 50); // création de rectangle

	oContexte.fillStyle = "#31B404"; 
	oContexte.fillRect(260, 80, 175, 50);// création de rectangle


	drawComposite(); // montre les positions des éléments en fonction de l'option choisi
}


/**
 * Montre les différentes options de position des éléments du canvas
 *
 */
function drawComposite()
{
	// les options possibles
	var compositeTypes = [
		'source-over','source-in','source-out','source-atop',
		'destination-over','destination-in','destination-out','destination-atop',
		'lighter','darker','copy','xor'
	];

	for (i=0; i<compositeTypes.length; i++)
	{
		var label = document.createTextNode(compositeTypes[i]);
		document.getElementById('lab'+i).appendChild(label);

		var oContexte = document.getElementById('tut'+i).getContext('2d');

		// dessine un rectangle
		oContexte.fillStyle = "#2E2EFE";
		oContexte.fillRect(15,15,70,70);

		// définit la propriété composite
		oContexte.globalCompositeOperation = compositeTypes[i];

		// dessine un cercle
		oContexte.fillStyle = "#9A2EFE";
		oContexte.beginPath();
		oContexte.arc(75,75,35,0,Math.PI*2,true);
		oContexte.fill();
	}
}


